'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _inferno = require('inferno');

var _inferno2 = _interopRequireDefault(_inferno);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultProps = {
  color: 'success',
  tag: 'div'
};

var Alert = function Alert(props) {
  var className = props.className,
      cssModule = props.cssModule,
      Tag = props.tag,
      color = props.color,
      onClose = props.onClose,
      children = props.children,
      attributes = _objectWithoutProperties(props, ['className', 'cssModule', 'tag', 'color', 'onClose', 'children']);

  var classes = (0, _utils.mapToCssModules)((0, _classnames2.default)(className, 'alert', 'alert-' + color, { 'alert-dismissible': onClose }), cssModule);

  var closeClasses = (0, _utils.mapToCssModules)('close', cssModule);

  return (0, _inferno.createVNode)(16, Tag, null, null, _extends({}, attributes, {
    'className': classes,
    'role': 'alert',
    children: [onClose ? (0, _inferno.createVNode)(2, 'button', closeClasses, (0, _inferno.createVNode)(2, 'span', null, '\xD7', {
      'aria-hidden': 'true'
    }), {
      'type': 'button',
      'aria-label': 'Close',
      'onClick': onClose
    }) : null, children]
  }));
};

Alert.defaultProps = defaultProps;

exports.default = Alert;
module.exports = exports['default'];
//# sourceMappingURL=Alert.js.map