'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _inferno = require('inferno');

var _inferno2 = _interopRequireDefault(_inferno);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultProps = {
  tag: 'h4',
  wrapTag: 'div',
  closeAriaLabel: 'Close'
};

var ModalHeader = function ModalHeader(props) {
  var closeButton = void 0;

  var className = props.className,
      cssModule = props.cssModule,
      children = props.children,
      toggle = props.toggle,
      Tag = props.tag,
      WrapTag = props.wrapTag,
      closeAriaLabel = props.closeAriaLabel,
      attributes = _objectWithoutProperties(props, ['className', 'cssModule', 'children', 'toggle', 'tag', 'wrapTag', 'closeAriaLabel']);

  var classes = (0, _utils.mapToCssModules)((0, _classnames2.default)(className, 'modal-header'), cssModule);

  if (toggle) {
    closeButton = (0, _inferno.createVNode)(2, 'button', 'close', (0, _inferno.createVNode)(2, 'span', null, String.fromCharCode(215), {
      'aria-hidden': 'true'
    }), {
      'type': 'button',
      'onClick': toggle,
      'aria-label': closeAriaLabel
    });
  }

  return (0, _inferno.createVNode)(16, WrapTag, null, null, _extends({}, attributes, {
    'className': classes,
    children: [(0, _inferno.createVNode)(16, Tag, null, null, {
      'className': (0, _utils.mapToCssModules)('modal-title', cssModule),
      children: children
    }), closeButton]
  }));
};

ModalHeader.defaultProps = defaultProps;

exports.default = ModalHeader;
module.exports = exports['default'];
//# sourceMappingURL=ModalHeader.js.map