"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Children = exports.WrapperComponent = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

exports.unmountComponentAtNode = unmountComponentAtNode;
exports.unstable_renderSubtreeIntoContainer = unstable_renderSubtreeIntoContainer;

var _infernoComponent = require("inferno-component");

var _infernoComponent2 = _interopRequireDefault(_infernoComponent);

var _inferno = require("inferno");

var _infernoShared = require("inferno-shared");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/* COMPATIBILITY */
// TODO: Rewrite implementation for Inferno

function unmountComponentAtNode(container) {
  (0, _inferno.render)(null, container);
  return true;
}

function unstable_renderSubtreeIntoContainer(parentComponent, vNode, container, callback) {
  var wrapperVNode = (0, _inferno.createVNode)(4, WrapperComponent, null, null, {
    children: vNode,
    context: parentComponent.context
  });
  var component = (0, _inferno.render)(wrapperVNode, container);

  if (callback) {
    // callback gets the component as context, no other argument.
    callback.call(component);
  }
  return component;
}

var WrapperComponent = exports.WrapperComponent = function (_Component) {
  _inherits(WrapperComponent, _Component);

  function WrapperComponent() {
    _classCallCheck(this, WrapperComponent);

    return _possibleConstructorReturn(this, (WrapperComponent.__proto__ || Object.getPrototypeOf(WrapperComponent)).apply(this, arguments));
  }

  _createClass(WrapperComponent, [{
    key: "getChildContext",
    value: function getChildContext() {
      // tslint:disable-next-line
      return this.props["context"];
    }
  }, {
    key: "render",
    value: function render(props) {
      return props.children;
    }
  }]);

  return WrapperComponent;
}(_infernoComponent2.default);

var ARR = [];

var Children = exports.Children = {
  /*
  map: function (children, fn, ctx) {
    if (isNullOrUndef(children)) {
      return children;
    }
    children = Children.toArray(children);
    if (ctx && ctx !== children) {
      fn = fn.bind(ctx);
    }
    return children.map(fn);
  },
   forEach: function (children, fn, ctx) {
    if (isNullOrUndef(children)) {
      return;
    }
    children = Children.toArray(children);
    if (ctx && ctx !== children) {
      fn = fn.bind(ctx);
    }
    for (let i = 0, len = children.length; i < len; i++) {
      fn(children[i], i, children);
    }
  },
   count: function (children) {
    children = Children.toArray(children);
    return children.length;
  },
  */

  only: function only(children) {
    children = Children.toArray(children);
    if (children.length !== 1) {
      throw new Error("Children.only() expects only one child.");
    }
    return children[0];
  },

  toArray: function toArray(children) {
    if ((0, _infernoShared.isNullOrUndef)(children)) {
      return [];
    }
    return (0, _infernoShared.isArray)(children) ? children : ARR.concat(children);
  }
};

/* /COMPATIBILITY */
//# sourceMappingURL=compat.js.map